Debian Bug report logs - #706775
ITP: libmoosex-runnable-perl -- tag a class as a runnable application

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jonas Smedegaard <dr@jones.dk>

Date: Sat, 4 May 2013 18:15:02 UTC

Owned by: Jonas Smedegaard <dr@jones.dk>

Severity: wishlist

Fixed in version libmoosex-runnable-perl/0.03-1

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-perl-maintainers@lists.alioth.debian.org, wnpp@debian.org:
Bug#706775; Package wnpp. (Sat, 04 May 2013 18:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-perl-maintainers@lists.alioth.debian.org, wnpp@debian.org. (Sat, 04 May 2013 18:15:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libmoosex-runnable-perl -- tag a class as a runnable application
Date: Sat, 04 May 2013 20:11:26 +0200
Package: wnpp
Severity: wishlist
Owner: Jonas Smedegaard <dr@jones.dk>

* Package name    : libmoosex-runnable-perl
  Version         : 0.03
  Upstream Author : Jonathan Rockway <jrockway@cpan.org>
* URL             : http://search.cpan.org/dist/MooseX-Runnable/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : tag a class as a runnable application

 MooseX::Runnable is a framework for making classes runnable
 applications.  This role doesn't do anything other than tell the rest
 of the framework that your class is a runnable application that has a
 run method which accepts arguments and returns the process' exit code.
 .
 This is a convention that the community has been using for a while.
 This role tells the computer that your class uses this convention, and
 let's the computer abstract away some of the tedium this entails.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 05 May 2013 08:09:44 GMT) Full text and rfc822 format available.

Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Thu, 16 May 2013 13:04:08 GMT) Full text and rfc822 format available.

Notification sent to Jonas Smedegaard <dr@jones.dk>:
Bug acknowledged by developer. (Thu, 16 May 2013 13:04:08 GMT) Full text and rfc822 format available.

Message #12 received at 706775-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 706775-close@bugs.debian.org
Subject: Bug#706775: fixed in libmoosex-runnable-perl 0.03-1
Date: Thu, 16 May 2013 13:00:15 +0000
Source: libmoosex-runnable-perl
Source-Version: 0.03-1

We believe that the bug you reported is fixed in the latest version of
libmoosex-runnable-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 706775@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated libmoosex-runnable-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 04 May 2013 21:31:00 +0200
Source: libmoosex-runnable-perl
Binary: libmoosex-runnable-perl
Architecture: source all
Version: 0.03-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 libmoosex-runnable-perl - tag a class as a runnable application
Closes: 706775
Changes: 
 libmoosex-runnable-perl (0.03-1) unstable; urgency=low
 .
   * Initial packaging release.
     Closes: bug#706775.
Checksums-Sha1: 
 b9fbfa85add99ac95020d7278867c1dc404b75fb 2356 libmoosex-runnable-perl_0.03-1.dsc
 be25c5fbfbd79dec97883c6c57079f2c9f8812b6 26896 libmoosex-runnable-perl_0.03.orig.tar.gz
 64174c514a8eea568d615c6e8219a0f41d84749a 3322 libmoosex-runnable-perl_0.03-1.debian.tar.gz
 00ae66e938467c8489628471cc991971ae59598c 30352 libmoosex-runnable-perl_0.03-1_all.deb
Checksums-Sha256: 
 1ab9235845328d1261d594d027e66c8a88b21d9c70f2ab11342e4fd84c2c35b7 2356 libmoosex-runnable-perl_0.03-1.dsc
 8c37c7340d6fd55caf879f5c48426ca45c7c0492fcaf519f917e51d9a8bd83c2 26896 libmoosex-runnable-perl_0.03.orig.tar.gz
 05f4a0fa95e67c6d94b69664f7d2c7aba6f8ea2159da20949bc736c0820a70f0 3322 libmoosex-runnable-perl_0.03-1.debian.tar.gz
 ab1f214e3d060e22badb742c437a351dc4282e5ca508ad5f8c98db7873d0067e 30352 libmoosex-runnable-perl_0.03-1_all.deb
Files: 
 4e8a4f0ee44043595297219bf77201bc 2356 perl optional libmoosex-runnable-perl_0.03-1.dsc
 1f4718fd617e5b836ee01054d8b6f9c0 26896 perl optional libmoosex-runnable-perl_0.03.orig.tar.gz
 aee6465b097fdeec27d344d915506869 3322 perl optional libmoosex-runnable-perl_0.03-1.debian.tar.gz
 6f503942a7d13637bd5dc7f4a262fbf6 30352 perl optional libmoosex-runnable-perl_0.03-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRhWKcAAoJECx8MUbBoAEhr5cP/iT8+gak5YRjlP/rrAWD2zG5
6ANv6xSb0hv9P8VYy+Vzgcj7ua7WLjOoooWOai1/m8oagaoAQri0dcXBNjvW7wja
PLidJ8UEDv6wWE1dNaYQKLlBNjsaqBCvnanWIwZBRGAdQbqtsuZHGF319jnh+lGe
YShS/tYVlJ1G8kYvAPEMFkzYFrV/mmsb/zBZaI3zXgqzi5U+wvarkFS/B299iizj
ibZlGKgczXxc5gnWij3FSMkjcgHlaS9GslM/2K5d4CeWDoB1ONj839g2Gj55JjLF
RK7X1FZZXM8pWkQvl+b1pVA8aNg71wSIwldvsUZ7bCr236EpNNeXRs6OztImpHNe
kDB3NSBCdGiVDKzcxwuR1fNLt3vX0hmxqj+6CI1wXTa932gtHWXJ4os84kcV9W9I
W+cfiOzVKVyW4v+L1eYXJDPixrezVrTT4TCZLsVEvxJqicLUD4scvR7hwJcs+Alh
4J8YbJgfsVyBll7j7xtRhaQFDR+7OYtgviHy6Nuu7KzO5bupBjNEqSxCzrf0o3kn
pbpjwoc8/jaImBXV4BOp8PCctXH6NRE7m4e6pE1l8GjBAPfFhbkxNzTyXQF0JJsJ
WBB923TDbWub0l4HgDhYC5GawYSrOBfS772zvQQr+RYUQvQgd2R7qG3E9xN+tXdu
4FzRZrZIYjnW8tHMOUbf
=FMoo
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Jun 2013 08:02:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:44:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.